Loading...
Searching...
No Matches
apn.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | APN_NI_MAXLEN 63
#define | APN_MAXLEN 100

## Functions

char * | osmo_apn_qualify (unsigned int mcc, unsigned int mnc, const char *ni)
char * | osmo_apn_qualify_buf (char *buf, size_t buf_len, unsigned int mcc, unsigned int mnc, const char *ni)
char * | osmo_apn_qualify_c (const void *ctx, unsigned int mcc, unsigned int mnc, const char *ni)
char * | osmo_apn_qualify_from_imsi (const char *imsi, const char *ni, int have_3dig_mnc)
char * | osmo_apn_qualify_from_imsi_buf (char *buf, size_t buf_len, const char *imsi, const char *ni, int have_3dig_mnc)
char * | osmo_apn_qualify_from_imsi_c (const void *ctx, const char *imsi, const char *ni, int have_3dig_mnc)
int | osmo_apn_from_str (uint8_t *apn_enc, size_t max_apn_enc_len, const char *str)
| Convert a dot-separated string into an encoded APN.
char * | osmo_apn_to_str (char *out_str, const uint8_t *apn_enc, size_t apn_enc_len)
| Convert an encoded APN into a dot-separated string.

## Macro Definition Documentation

## APN_MAXLEN

#define APN_MAXLEN 100

Referenced by msgb_sgsap_name_put(), osmo_apn_qualify_c(), and osmo_apn_qualify_from_imsi_c().

## APN_NI_MAXLEN

#define APN_NI_MAXLEN 63

## Function Documentation

## osmo_apn_from_str()

int osmo_apn_from_str | ( | uint8_t * | apn_enc,
|  | size_t | max_apn_enc_len,
|  | const char * | str )

Convert a dot-separated string into an encoded APN.

Parameters

  apn_enc | the encoded APN
  max_apn_enc_len | the size of the apn_enc buffer
  str | the source string

Returns
  out_str on success and NULL otherwise

References len.

Referenced by msgb_sgsap_name_put().

## osmo_apn_qualify()

char * osmo_apn_qualify | ( | unsigned int | mcc,
|  | unsigned int | mnc,
|  | const char * | ni )

References apn_strbuf, and osmo_apn_qualify_buf().

## osmo_apn_qualify_buf()

char * osmo_apn_qualify_buf | ( | char * | buf,
|  | size_t | buf_len,
|  | unsigned int | mcc,
|  | unsigned int | mnc,
|  | const char * | ni )

References APN_GPRS_FMT.

Referenced by osmo_apn_qualify(), osmo_apn_qualify_c(), and osmo_apn_qualify_from_imsi_buf().

## osmo_apn_qualify_c()

char * osmo_apn_qualify_c | ( | const void * | ctx,
|  | unsigned int | mcc,
|  | unsigned int | mnc,
|  | const char * | ni )

References APN_MAXLEN, and osmo_apn_qualify_buf().

## osmo_apn_qualify_from_imsi()

char * osmo_apn_qualify_from_imsi | ( | const char * | imsi,
|  | const char * | ni,
|  | int | have_3dig_mnc )

References apn_strbuf, and osmo_apn_qualify_from_imsi_buf().

## osmo_apn_qualify_from_imsi_buf()

char * osmo_apn_qualify_from_imsi_buf | ( | char * | buf,
|  | size_t | buf_len,
|  | const char * | imsi,
|  | const char * | ni,
|  | int | have_3dig_mnc )

References osmo_apn_qualify_buf().

Referenced by osmo_apn_qualify_from_imsi(), and osmo_apn_qualify_from_imsi_c().

## osmo_apn_qualify_from_imsi_c()

char * osmo_apn_qualify_from_imsi_c | ( | const void * | ctx,
|  | const char * | imsi,
|  | const char * | ni,
|  | int | have_3dig_mnc )

References APN_MAXLEN, and osmo_apn_qualify_from_imsi_buf().

## osmo_apn_to_str()

char * osmo_apn_to_str | ( | char * | out_str,
|  | const uint8_t * | apn_enc,
|  | size_t | apn_enc_len )

Convert an encoded APN into a dot-separated string.

Parameters

  out_str | the destination buffer (size must be >= max(app_enc_len,1))
  apn_enc | the encoded APN
  apn_enc_len | the length of the encoded APN

Returns
  out_str on success and NULL otherwise